Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1651323 - Tracker bug for all leases related issues
Summary: Tracker bug for all leases related issues
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 5
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1648768 1655532
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 16:59 UTC by Soumya Koduri
Modified: 2020-03-12 15:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1648768
Environment:
Last Closed: 2020-03-12 15:00:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 21616 0 None None None 2018-11-19 16:59:59 UTC
Gluster.org Gerrit 21618 0 None None None 2018-11-19 16:59:59 UTC
Gluster.org Gerrit 21619 0 None None None 2018-11-19 16:59:59 UTC
Gluster.org Gerrit 21656 0 None None None 2018-11-19 16:59:59 UTC
Gluster.org Gerrit 21678 0 None Open gfapi: Send fop_attr dict as part of syncop_open 2018-11-29 15:35:59 UTC
Gluster.org Gerrit 21679 0 None Open leases: Fix incorrect inode_ref/unrefs 2018-11-29 15:37:25 UTC
Gluster.org Gerrit 21680 0 None Open lease: Treat unlk request as noop if lease not found 2018-12-12 12:53:38 UTC
Gluster.org Gerrit 21751 0 None Open gfapi: Offload callback notifications to synctask 2018-12-12 12:54:01 UTC
Gluster.org Gerrit 21785 0 None Open leases: Do not conflict with internal fops 2018-12-12 12:56:10 UTC
Gluster.org Gerrit 21961 0 None Open io-cache: xdata needs to be passed for readv operations 2019-01-09 15:16:43 UTC
Gluster.org Gerrit 22005 0 None Open leases: Reset lease_ctx->timer post deletion 2019-01-09 22:00:42 UTC

Description Soumya Koduri 2018-11-19 16:59:59 UTC
+++ This bug was initially created as a clone of Bug #1648768 +++

Description of problem:

This bug is to track all the issues found with leases testing on glusterfs.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2018-11-12 01:38:04 EST ---

REVIEW: https://review.gluster.org/21616 (lease: Treat unlk request as noop if lease not found) posted (#3) for review on master by soumya k

--- Additional comment from Worker Ant on 2018-11-12 01:39:10 EST ---

REVIEW: https://review.gluster.org/21619 (leases: Fix incorrect inode_ref/unrefs) posted (#3) for review on master by soumya k

--- Additional comment from Worker Ant on 2018-11-12 01:41:16 EST ---

REVIEW: https://review.gluster.org/21618 (gfapi: Send fop_attr dict as part of syncop_open) posted (#3) for review on master by soumya k

--- Additional comment from Worker Ant on 2018-11-15 09:52:04 EST ---

REVIEW: https://review.gluster.org/21656 (gfapi: Offload callback notifications to synctask) posted (#1) for review on master by soumya k

--- Additional comment from Worker Ant on 2018-11-17 04:17:02 EST ---

REVIEW: https://review.gluster.org/21618 (gfapi: Send fop_attr dict as part of syncop_open) posted (#8) for review on master by Amar Tumballi

--- Additional comment from Worker Ant on 2018-11-17 04:17:27 EST ---

REVIEW: https://review.gluster.org/21619 (leases: Fix incorrect inode_ref/unrefs) posted (#7) for review on master by Amar Tumballi

--- Additional comment from Worker Ant on 2018-11-17 04:17:52 EST ---

REVIEW: https://review.gluster.org/21616 (lease: Treat unlk request as noop if lease not found) posted (#7) for review on master by Amar Tumballi

Comment 1 Worker Ant 2018-11-19 17:03:58 UTC
REVIEW: https://review.gluster.org/21678 (gfapi: Send fop_attr dict as part of syncop_open) posted (#1) for review on release-5 by soumya k

Comment 2 Worker Ant 2018-11-19 17:05:02 UTC
REVIEW: https://review.gluster.org/21679 (leases: Fix incorrect inode_ref/unrefs) posted (#1) for review on release-5 by soumya k

Comment 3 Worker Ant 2018-11-19 17:06:09 UTC
REVIEW: https://review.gluster.org/21680 (lease: Treat unlk request as noop if lease not found) posted (#1) for review on release-5 by soumya k

Comment 4 Worker Ant 2018-11-29 15:35:58 UTC
REVIEW: https://review.gluster.org/21678 (gfapi: Send fop_attr dict as part of syncop_open) posted (#2) for review on release-5 by Shyamsundar Ranganathan

Comment 5 Worker Ant 2018-11-29 15:37:23 UTC
REVIEW: https://review.gluster.org/21679 (leases: Fix incorrect inode_ref/unrefs) posted (#2) for review on release-5 by Shyamsundar Ranganathan

Comment 6 Worker Ant 2018-11-29 16:32:19 UTC
REVIEW: https://review.gluster.org/21751 (gfapi: Offload callback notifications to synctask) posted (#2) for review on release-5 by soumya k

Comment 7 Worker Ant 2018-12-03 13:17:12 UTC
REVIEW: https://review.gluster.org/21785 (leases: Do not conflict with internal fops) posted (#2) for review on release-5 by soumya k

Comment 8 Worker Ant 2018-12-12 12:53:38 UTC
REVIEW: https://review.gluster.org/21680 (lease: Treat unlk request as noop if lease not found) posted (#3) for review on release-5 by Shyamsundar Ranganathan

Comment 9 Worker Ant 2018-12-12 12:54:01 UTC
REVIEW: https://review.gluster.org/21751 (gfapi: Offload callback notifications to synctask) posted (#3) for review on release-5 by Shyamsundar Ranganathan

Comment 10 Worker Ant 2018-12-12 12:56:10 UTC
REVIEW: https://review.gluster.org/21785 (leases: Do not conflict with internal fops) posted (#3) for review on release-5 by Shyamsundar Ranganathan

Comment 11 Worker Ant 2018-12-30 13:33:17 UTC
REVIEW: https://review.gluster.org/21961 (io-cache: xdata needs to be passed for readv operations) posted (#1) for review on release-5 by soumya k

Comment 12 Worker Ant 2019-01-03 09:11:51 UTC
REVIEW: https://review.gluster.org/21985 (gfapi: Access fs->oldvolfile under mutex lock) posted (#1) for review on release-5 by soumya k

Comment 13 Worker Ant 2019-01-03 09:31:12 UTC
REVISION POSTED: https://review.gluster.org/21985 (gfapi: Access fs->oldvolfile under mutex lock) posted (#3) for review on release-5 by soumya k

Comment 14 Worker Ant 2019-01-09 15:16:43 UTC
REVIEW: https://review.gluster.org/21961 (io-cache: xdata needs to be passed for readv operations) posted (#1) for review on release-5 by soumya k

Comment 15 Worker Ant 2019-01-09 15:35:14 UTC
REVIEW: https://review.gluster.org/22005 (leases: Reset lease_ctx->timer post deletion) posted (#1) for review on release-5 by soumya k

Comment 16 Worker Ant 2019-01-09 21:59:47 UTC
REVIEW: https://review.gluster.org/22005 (leases: Reset lease_ctx->timer post deletion) posted (#1) for review on release-5 by soumya k

Comment 17 Worker Ant 2020-03-12 15:00:47 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/1079, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.